Functions
Functions
BLE » Core Isochronous Channels
Collaboration diagram for Functions:

## Functions
uint16_t | ble_iso_register_callback (iso_cb_fun_t *cb)
| Register callback for iso. More...
void | ble_iso_register_ascp_gap_callback (ascp_gap_cb_fun_t *cb)
| Register the gap evetn callback for ascp. More...
uint16_t | ble_iso_start_bd_ann (iso_start_bd_ann_t *param, uint8_t *ext_adv_data, uint16_t ext_adv_data_len)
| Start broadcast audio announcement by using periodic adv. More...
uint16_t | ble_iso_start_gen_ann (iso_start_gen_ann_t *param)
| Start general audio announcement by using extended adv. More...
uint16_t | ble_iso_start_target_ann (iso_start_target_ann_t *param)
| Start target audio announcement by using extended adv. More...
uint16_t | ble_iso_stop_ann (uint8_t adv_idx)
| Stop the audio announcement by using stop adv. More...
uint16_t | ble_iso_discover_ann (iso_disc_ann_t *param)
| Discovery the audio announcement by using extended scan. More...
uint16_t | ble_iso_stop_discover_ann (void)
| Stop discovery the audio announcement by stop extended scan. More...
uint16_t | ble_iso_sync_bd_ann (uint8_t index, iso_sync_ann_t *param)
| Sync the broadcast audio announcement by sync the period adv. More...
uint16_t | ble_iso_stop_sync_bd_ann (uint8_t index)
| Stop sync the broadcast audio announcement. More...
uint16_t | ble_iso_create_big (iso_create_big_t *param)
| Create the BIG. More...
uint16_t | ble_iso_terminate_big (uint8_t big_hdl, uint8_t reason)
| Terminate the BIG. More...
uint16_t | ble_iso_create_big_sync (iso_create_big_sync_t *param)
| Create the BIG sync. More...
uint16_t | ble_iso_terminate_big_sync (uint8_t big_hdl)
| Terminate the BIG sync. More...
uint16_t | ble_iso_set_cig_param (iso_set_cig_param_t *param)
| Set CIG paramter. More...
uint16_t | ble_iso_create_cis (iso_create_cis_t *param)
| Create CIS. More...
uint16_t | ble_iso_rm_cig (uint8_t cig_id)
| Remove the cig indicated by the cig_id. More...
uint16_t | ble_iso_accept_cis_req (uint16_t cis_hdl)
| Slave Host to inform the Controller to accept the request for the CIS that is identified by the cis_hdl. More...
uint16_t | ble_iso_reject_cis_req (uint16_t cis_hdl, uint8_t reason)
| slave Host to reject the request for the CIS that is identified by the cis_hdl. More...
uint16_t | ble_iso_disc_cis (uint16_t cis_hdl)
| disconnect the CIS that is identified by the cis_hdl. More...
uint16_t | ble_iso_set_data_path (iso_set_data_path_t *param)
| Set the ISO data path. More...
uint16_t | ble_iso_rm_data_path (iso_rm_data_path_t *param)
| Remove the ISO data path. More...
uint16_t | ble_iso_req_peer_sca (uint16_t conn_idx)
| Read the Sleep Clock Accuracy of the peer device. More...
uint16_t | ble_iso_read_tx_sync (uint16_t conn_hdl)
| read the Bluetooth_TimeStamp (BTS) of a packet identified by the Packet_Sequence_Number on a CIS or BIS identified by the Connection_Handle. More...
uint16_t | ble_iso_set_data_path_trigger (iso_set_data_path_trigger_t *param)
| Set iso data path trigger. More...
uint16_t | ble_iso_gpio_enable (uint8_t gpio_sel)
| Un-mask the ISO GPIO. More...
uint16_t | ble_iso_set_iso_sync_pulse (uint8_t iso_sync_p_sel, uint8_t sync0_gpio_sel, uint8_t sync1_gpio_sel)
| Set iso sync pulse GPIO trigger. More...

## Detailed Description

## Function Documentation

## ◆ ble_iso_accept_cis_req()

uint16_t ble_iso_accept_cis_req | ( | uint16_t | cis_hdl | ) |

Slave Host to inform the Controller to accept the request for the CIS that is identified by the cis_hdl.

Parameters

  [in] | cis_hdl | Connection handle of the CIS. (Range: 0x0000 to 0x0EFF).

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_create_big()

uint16_t ble_iso_create_big | ( | iso_create_big_t * | param | ) |

Create the BIG.

Parameters

  [in] | param | Pointer to the create big structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_create_big_sync()

uint16_t ble_iso_create_big_sync | ( | iso_create_big_sync_t * | param | ) |

Create the BIG sync.

Parameters

  [in] | param | Pointer to the create big sync structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_create_cis()

uint16_t ble_iso_create_cis | ( | iso_create_cis_t * | param | ) |

Create CIS.

Parameters

  [in] | param | Pointer to the create cis parameter structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_disc_cis()

uint16_t ble_iso_disc_cis | ( | uint16_t | cis_hdl | ) |

disconnect the CIS that is identified by the cis_hdl.

Parameters

  [in] | cis_hdl | Connection handle of the CIS. (Range: 0x0000 to 0x0EFF).

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_discover_ann()

uint16_t ble_iso_discover_ann | ( | iso_disc_ann_t * | param | ) |

Discovery the audio announcement by using extended scan.

Parameters

  [in] | param | Pointer to the Discovery announcement structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  SDK_ERR_POINTER_NULL | Invalid pointer supplied.
  SDK_ERR_NO_RESOURCES | Not enough resources.

## ◆ ble_iso_gpio_enable()

uint16_t ble_iso_gpio_enable | ( | uint8_t | gpio_sel | ) |

Un-mask the ISO GPIO.

Parameters

  [in] | gpio_sel | Bits to un-mask iso_gpio.see enum iso_gpio_mask_t.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_read_tx_sync()

uint16_t ble_iso_read_tx_sync | ( | uint16_t | conn_hdl | ) |

read the Bluetooth_TimeStamp (BTS) of a packet identified by the Packet_Sequence_Number on a CIS or BIS identified by the Connection_Handle.

Parameters

  [in] | conn_hdl | Connection handle of a CIS or BIS, (Range: 0x0000 to 0x0EFF).

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_register_ascp_gap_callback()

void ble_iso_register_ascp_gap_callback | ( | ascp_gap_cb_fun_t * | cb | ) |

Register the gap evetn callback for ascp.

Parameters

  [in] | cb | Pointer to the callback function structure.

## ◆ ble_iso_register_callback()

uint16_t ble_iso_register_callback | ( | iso_cb_fun_t * | cb | ) |

Register callback for iso.

Parameters

  [in] | cb | Pointer to the callback function structure.

Return values

  SDK_SUCCESS | The callback is successfully to register.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid, such as the cb is NULL.

## ◆ ble_iso_reject_cis_req()

uint16_t ble_iso_reject_cis_req | ( | uint16_t | cis_hdl,
|  | uint8_t | reason
| ) |  |

slave Host to reject the request for the CIS that is identified by the cis_hdl.

Parameters

  [in] | cis_hdl | Connection handle of the CIS. (Range: 0x0000 to 0x0EFF).
  [in] | reason | Reason the CIS request was rejected.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_req_peer_sca()

uint16_t ble_iso_req_peer_sca | ( | uint16_t | conn_idx | ) |

Read the Sleep Clock Accuracy of the peer device.

Parameters

  [in] | conn_idx | Connection of the acl connection.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_rm_cig()

uint16_t ble_iso_rm_cig | ( | uint8_t | cig_id | ) |

Remove the cig indicated by the cig_id.

Parameters

  [in] | cig_id | Used to identify a CIG (Range: 0x00 to 0xEF).

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_rm_data_path()

uint16_t ble_iso_rm_data_path | ( | iso_rm_data_path_t * | param | ) |

Remove the ISO data path.

Parameters

  [in] | param | Pointer to remove data path parameter structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_set_cig_param()

uint16_t ble_iso_set_cig_param | ( | iso_set_cig_param_t * | param | ) |

Set CIG paramter.

Parameters

  [in] | param | Pointer to the cig parameter structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_set_data_path()

uint16_t ble_iso_set_data_path | ( | iso_set_data_path_t * | param | ) |

Set the ISO data path.

Parameters

  [in] | param | Pointer to set data path parameter structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_set_data_path_trigger()

uint16_t ble_iso_set_data_path_trigger | ( | iso_set_data_path_trigger_t * | param | ) |

Set iso data path trigger.

Parameters

  [in] | param | Pointer to the set data path trigger parameter structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_set_iso_sync_pulse()

uint16_t ble_iso_set_iso_sync_pulse | ( | uint8_t | iso_sync_p_sel,
|  | uint8_t | sync0_gpio_sel,
|  | uint8_t | sync1_gpio_sel
| ) |  |

Set iso sync pulse GPIO trigger.

Parameters

  [in] | iso_sync_p_sel | select iso sync0 pulse(ISO_SYNC0_PULSE) or/and iso sync1 pulse(ISO_SYNC1_PULSE).
  [in] | sync0_gpio_sel | Bits to select which iso_gpio signals cause an iso sync0 pulse. GPIO_0 is default for iso sync pulse gpio.see enum iso_gpio_mask_t.
  [in] | sync1_gpio_sel | Bits to select which iso_gpio signals cause an iso sync1 pulse. GPIO_0 is default for iso sync pulse gpio.see enum iso_gpio_mask_t.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_start_bd_ann()

uint16_t ble_iso_start_bd_ann | ( | iso_start_bd_ann_t * | param,
|  | uint8_t * | ext_adv_data,
|  | uint16_t | ext_adv_data_len
| ) |  |

Start broadcast audio announcement by using periodic adv.

Parameters

  [in] | param | Pointer to the start broadcast announcement structure.
  [in] | ext_adv_data | Pointer to the ext adv data.
  [in] | ext_adv_data_len | The length of ext adv data.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_start_gen_ann()

uint16_t ble_iso_start_gen_ann | ( | iso_start_gen_ann_t * | param | ) |

Start general audio announcement by using extended adv.

Parameters

  [in] | param | Pointer to the start general announcement structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_start_target_ann()

uint16_t ble_iso_start_target_ann | ( | iso_start_target_ann_t * | param | ) |

Start target audio announcement by using extended adv.

Parameters

  [in] | param | Pointer to the start target announcement structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_stop_ann()

uint16_t ble_iso_stop_ann | ( | uint8_t | adv_idx | ) |

Stop the audio announcement by using stop adv.

Parameters

  [in] | adv_idx | Advertising Index.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_stop_discover_ann()

uint16_t ble_iso_stop_discover_ann | ( | void |  | ) |

Stop discovery the audio announcement by stop extended scan.

Return values

  SDK_SUCCESS. |
  SDK_ERR_DISALLOWED | Operation is disallowed.

## ◆ ble_iso_stop_sync_bd_ann()

uint16_t ble_iso_stop_sync_bd_ann | ( | uint8_t | index | ) |

Stop sync the broadcast audio announcement.

Parameters

  [in] | index | Periodic synchronization index.

Return values

  SDK_SUCCESS | Operation is successful.
  SDK_ERR_INVALID_PER_SYNC_IDX | Invalid periodic syncronization index supplied.
  SDK_ERR_DISALLOWED | Operation is disallowed.

## ◆ ble_iso_sync_bd_ann()

uint16_t ble_iso_sync_bd_ann | ( | uint8_t | index,
|  | iso_sync_ann_t * | param
| ) |  |

Sync the broadcast audio announcement by sync the period adv.

Parameters

  [in] | index | Periodic synchronization index.
  [in] | param | Pointer to the sync audio announcement structure.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.
  SDK_ERR_INVALID_PER_SYNC_IDX | Invalid periodic syncronization index supplied.
  SDK_ERR_NO_RESOURCES | Not enough resources.
  SDK_ERR_DISALLOWED | Operation is disallowed.

## ◆ ble_iso_terminate_big()

uint16_t ble_iso_terminate_big | ( | uint8_t | big_hdl,
|  | uint8_t | reason
| ) |  |

Terminate the BIG.

Parameters

  [in] | big_hdl | Used to identify the BIG (0x00 to 0xEF).
  [in] | reason | The reason for teminate the big.

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.

## ◆ ble_iso_terminate_big_sync()

uint16_t ble_iso_terminate_big_sync | ( | uint8_t | big_hdl | ) |

Terminate the BIG sync.

Parameters

  [in] | big_hdl | Used to identify the BIG (0x00 to 0xEF).

Return values

  SDK_SUCCESS | The parameter is valid.
  BLE_SDK_ERR_BAD_PARAM | The parameter is invalid.